<?php
 
/*
 * Função que busca dentro do json de TimeZones do projeto
 * o estado do cliente para buscar o Default Time Zone correto para o php
 * 
 */
function getCurrentTimezone() {
    global $CONFIG_FILE;
    
    $configFile = $CONFIG_FILE;
    $data       = json_decode($configFile, true);

    $state = $data["timezone"];
 
    $timezones = array(
        "AC" => "America/Rio_branco",   "AL" => "America/Maceio",
        "AP" => "America/Belem",        "AM" => "America/Manaus",
        "BA" => "America/Bahia",        "CE" => "America/Fortaleza",
        "DF" => "America/Fortaleza",    "ES" => "America/Fortaleza",
        "GO" => "America/Fortaleza",    "MA" => "America/Fortaleza",
        "MT" => "America/Cuiaba",       "MS" => "America/Campo_Grande",
        "MG" => "America/Fortaleza",    "PR" => "America/Fortaleza",
        "PB" => "America/Fortaleza",    "PA" => "America/Belem",
        "PE" => "America/Recife",       "PI" => "America/Fortaleza",
        "RJ" => "America/Fortaleza",    "RN" => "America/Fortaleza",
        "RS" => "America/Fortaleza",    "RO" => "America/Porto_Velho",
        "RR" => "America/Boa_Vista",    "SC" => "America/Fortaleza",
        "SE" => "America/Maceio",       "SP" => "America/Fortaleza",
        "TO" => "America/Araguaia",    
    );
   
    return $timezones[$state];
}
